<?php require_once('../../Connections/cn.php'); ?>
<?php 
session_start();
if (!isset($_SESSION['MM_Username'])) {
      header ("Location: modulos/inicio/index.php");
   }
   
header("Content-Type:text/html; charset=utf-8");
// Captura la cédula del usuario inició sesión.	  
$cedula_usuario=$_SESSION['CEDULA_USUARIO'];
 
 

$id_periodo=$_GET['id_periodo'];

mysql_select_db($database_cn, $cn);
mysql_query ("SET NAMES 'utf8'");

// Datos del usuario que imprime.
$sql = "SELECT nombres,apellidos FROM usuarios where cedula='$cedula_usuario'";
$rs = mysql_query($sql, $cn) or die(mysql_error());
$row = mysql_fetch_assoc($rs);
$usuario=$row['nombres'].', '.$row['apellidos'];

// Incluye la calses que se requieren para el reporte. 
error_reporting(E_ALL); 
include('class.ezpdf.php'); 
require('numerosALetras.class.php');

// Se establece el tipo de p�gina y el formato de impresi�n.
$pdf = &new Cezpdf('letter','portraid'); 
$pdf->selectFont('./fonts/Helvetica'); 
// Se inicializa el contador de paginas en 1 y se especifica en que lugar se va a imprimir 
$pdf->ezStartPageNumbers(575,15,7,'','{PAGENUM}/{TOTALPAGENUM}',1); 

// Se define el query de los datos que contendr� el reporte.
mysql_select_db($database_cn, $cn);
$query = "SELECT DISTINCT sede, nombre_sede from historial_alumnos, sedes WHERE historial_alumnos.sede=sedes.codigo  ORDER BY nombre_sede";

//echo $query;
// Ejecuta el Query.

$result = mysql_query ($query,$cn) or die (mysql_error()); 
//$rstHistorico = mysql_fetch_assoc($result);
// Numero de Filas.
// coloca una linea arriba y abajo de todas las paginas 
$fechs = date("d/m/y"); 
$all = $pdf->openObject(); 
$pdf->saveState(); 
$pdf->setStrokeColor(0,0,0,1); 
// Se define el query de los datos que contendr� el reporte.


$sql = "SELECT codigo,mes_inicio,mes_fin,fecha_ini,fecha_fin,tipo FROM periodos WHERE id_periodo='$id_periodo'";
	$rs = mysql_query($sql, $cn);
	$row = mysql_fetch_assoc($rs);
	$descripcion_periodo=$row['codigo'].' '.$row['tipo'].' ('.$row['mes_inicio'].' - '.$row['mes_fin'].')';

// Inicio del Encabezado.
$imagen=ImageCreatefromjpeg('../../imagenes/logo_mpppf.jpg');
$pdf->addImage($imagen,60,$pdf->y-25,500,0);
$pdf->selectFont('/fonts/Courier.afm');
$diff=array(225=>'aacute',233=>'eacute',
            237=>'iacute',243=>'oacute',
            250=>'uacute',252=>'udieresis',
            241=>'ntilde',209=>'Ntilde');
$pdf->selectFont('fonts/Helvetica.afm',array('encoding'=>'WinAnsiEncoding','differences'=>$diff));
$pdf->ezsetdy(-25);
$pdf->ezText(utf8_decode("<b>Dirección de Secretaría General - Unidad de Control de Estudios de Pregrado</b>"),9,array('justification'=>'center'));
//$pdf->ezText("                                   Sede: ".$nom_sede,10,array('justification'=>'left'));
$pdf->ezText("                                   ",10,array('justification'=>'left'));
$pdf->ezsetdy(-15);
$pdf->ezText('<b>'.utf8_decode("MATRÍCULA ESTUDIANTIL POR TURNO").'</b>',14,array('justification'=>'center'));
$pdf->ezsetdy(-15);

$pdf->ezText('<b>'.utf8_decode("                                      LAPSO ACADÉMICO: ").'</b>'.$descripcion_periodo,10 ,array('justification'=>'left'));

//$pdf->addText(490,632,8,'<b>'."Fecha: ".'</b>'.date("d/m/Y"));
// Fin del Encabezado.
// Inicio del Pie de P�gina.

// Fin del Pie de P�gina.

// Se restaura el objeto y se cierra, para que de el salto de p�gina.
$pdf->restoreState(); 
$pdf->closeObject(); 
// Establece los margenes para imprimir el cuerpo del reporte.

   $pdf->ezSetCmMargins(5,6.5,3.5,3);

 
//superior,inferior,
$pdf->addObject($all,'all'); 

// Inicializa array 
$data = array(); 
//Aqui se coloca el header de la Tabla 
$cols = array('sede'=>'<b>'.'       SEDES'.'</b>', 
			  's1'=>utf8_decode('<b>'.'MATUTINO'.'</b>'), 
			  's2'=>utf8_decode('<b>'.'VESPERTINO'.'</b>'), 
			  's3'=>utf8_decode('<b>'.'NOCTURNO'.'</b>'),  
			  'total'=>'<b>'.utf8_decode('TOTAL').'</b>');
			   
$smc = 0;
// Convierte la Nota a Letras.
$total1=0;
$total2=0;
$total3=0;
$total_gral=0;
while ($row = mysql_fetch_row($result)) { 
    $sede      = $row[0];    // cedula 
	$nombre_sede   = $row[1]; 
	
	// Calcula inscritos en 1er. semestre de la sede. 
   $sql = "SELECT DISTINCT cedula,turno  FROM `historial_alumnos` where turno='1' and id_periodo='$id_periodo' and historial_alumnos.sede='$sede' ";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $s1= mysql_num_rows($res);
   $total1=$total1+$s1;
   
   // Calcula inscritos en 1er. semestre de la sede. 
   $sql = "SELECT DISTINCT cedula,turno  FROM `historial_alumnos` where turno='2' and id_periodo='$id_periodo' and historial_alumnos.sede='$sede' ";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $s2= mysql_num_rows($res);
   $total2=$total2+$s2;
   // Calcula inscritos en 1er. semestre de la sede. 
   $sql = "SELECT DISTINCT cedula,turno  FROM `historial_alumnos` where turno='4' and id_periodo='$id_periodo' and historial_alumnos.sede='$sede' ";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $s3= mysql_num_rows($res);
   $total3=$total3+$s3;
   
   $total_sede=$s1+$s2+$s3;
   $total_gral=$total_gral+$total_sede; 
    // Aqui se agregan las variables formateadas al array 
    $data[] = array('sede'=>$nombre_sede,
	                's1'=>$s1, 
                    's2'=>$s2, 
                    's3'=>$s3, 
					'total'=>number_format($total_sede,0,',','.')); 
					
   }
   
 $data[] = array('sede'=>'<b>'.'TOTALES'.'</b>',
	                's1'=>'<b>'.$total1.'</b>', 
                    's2'=>'<b>'.$total2.'</b>', 
                    's3'=>'<b>'.$total3.'</b>', 
                 	'total'=>'<b>'.number_format($total_gral,0,',','.').'</b>'); 
																			
$pdf->ezTable($data,$cols,'',array('width'=>'350','fontSize'=>9, 
'cols'=>array('sedes'=>array('justification'=>'center') 
			 ,'s1'=>array('justification'=>'center') 
             ,'s2'=>array('justification'=>'center') 
             ,'s3'=>array('justification'=>'center') 
             ,'total'=>array('justification'=>'center')) 
));// salida 
$fecha_impresion = date("d-m-Y g:i a");
$pdf->ezSetCmMargins(5.5,6.5,4.8,4.8);
$pdf->ezsetdy(-5);
$pdf->ezText('<b>'.utf8_decode("IMPRESO POR: ").'</b>'.$usuario.'<b>'.utf8_decode("     FECHA DE IMPRESIÓN: ").'</b>'.$fecha_impresion,7,array('justification'=>'right'));
if (isset($d) && $d){ 
	$pdfcode = $pdf->ezOutput(); 
	$pdfcode = str_replace('\n','\n<br>',htmlspecialchars($pdfcode)); 
	echo '<html><body>'; 
	echo trim($pdfcode); 
	echo '</body></html>'; 
} else { 
	$pdf->ezStream(); 
} 

?>